import LayoutMain from '@/framework/layout/Main'
//首页登录页面
import login from '@/framework/layout'
// 品牌管理
import brand from '@/views/brand'
//产品管理
import product from "@/views/product/index"
import detail from "@/views/product/detail"
//从已有数据填充产品
import supplement from "@/views/supplement"
//测试页面
import test from '@/components/test'
/**模型管理 */
import modelFile from '@/views/model/file'

export default [
  // 首页
  {
    path: '/',
    name: 'LayoutMain',
    component: LayoutMain,
    children: [{
      path: '',
      name: 'login',
      component: login
    }]
  },
  //登录页
  {
    path: '/login',
    name: 'login',
    component: login,
  },
  //产品管理
  {
    path: '/product',
    name: 'LayoutMain',
    component: LayoutMain,
    children: [{
      path: '',
      name: 'product',
      component: product,
    },
      {
        path: '/detail',
        name: 'detail',
        component: detail,
      }
    ]
  },
  // 品牌管理
  {
    path: '/brand',
    name: 'LayoutMain',
    component: LayoutMain,
    children: [{
        path: '',
        name: 'brand',
        component: brand
      },
    ]
  },
  // 从已有数据填充产品
  {
    path: '/supplement',
    name: 'LayoutMain',
    component: LayoutMain,
    children: [{
        path: '',
        name: 'supplement',
        component: supplement
      },
    ]
  },
  {
    path: '/test',
    name: 'test',
    component: test,
  },
  //模型管理
  {
    path: '/model',
    name: 'LayoutMain',
    component: LayoutMain,
    children: [{
        path: '',
        name: 'modelFile',
        component: modelFile
      },
      {
        path: 'file',
        name: 'modelFile',
        component: modelFile,
        meta: {
          path: 'file',
          name: 'modelFile',
          component: modelFile,
          meta: { keepAlive: false, breadcrumbs: [{ label: '模型管理', path: '/model/file' }, { label: '模型文件管理' }]}
        },
      },
    ]
  },
]
