import {baseUrl} from './config.js'
import http from './httpUtil'

//设备清单-查询当前设备类下的部件分类
export function getPartsAllType(param, success) {
  let url = `${baseUrl}/equip-component/equip-query/equip-compon`;
  http.getJson(url, param, success)
}

//字典查询接口 竖井所有类型
export function queryShaftType(success) {
  let url = `${baseUrl}/datacenter/data-dictionary/query-shaft-type`;
  http.getJson(url, {}, success)
}

//all - 查询数据字典 --列表表头
export function getDataDictionary(param, success) {
  let url = `${baseUrl}/datacenter/data-dictionary/project/query?type=${param.type}`;
  let data = param.data
  http.postJson(url, data, success)
}

//all - 查询数据字典 --列表表头
export function cacheDictionary(param, success) {
  let url = `${baseUrl}/datacenter/class-def/query-dict`;
  http.postJson(url, param, success)
}